# $Revision: 1.12 $, $Date: 2008/11/12 09:13:28 $
Summary:	udev rules and scripts for Advanced Linux Sound Architecture
Summary(pl.UTF-8):	Reguły i skrypty udev dla Advanced Linux Sound Architecture
Name:		alsa-udev
Version:	0.2
Release:	1
License:	GPL
Group:		Applications/Sound
Source0:	%{name}.rules
Source1:	%{name}.sh
Source2:	%{name}.conf
Source3:	%{name}.init
URL:		http://www.alsa-project.org/
Requires(post,preun):	/sbin/chkconfig
Requires:	awk
Requires:	udev-core >= 127
Obsoletes:	alsa-init-tools
Obsoletes:	alsa-utils-init
Obsoletes:	alsaconf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
udev rules and scripts for Advanced Linux Sound Architecture.

%description -l pl.UTF-8
Reguły i skrypty udev dla Advanced Linux Sound Architecture.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/udev/rules.d
cp -a %{SOURCE0} $RPM_BUILD_ROOT/etc/udev/rules.d/alsa.rules
install -D %{SOURCE1} $RPM_BUILD_ROOT/lib/udev/alsa-udev
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/alsa-udev
install -D %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/alsa-udev

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add alsa-udev

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del alsa-udev
fi

%files
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/alsa-udev
/etc/udev/rules.d/alsa.rules
%attr(754,root,root) /lib/udev/alsa-udev

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsa-udev.spec,v $
Revision 1.12  2008/11/12 09:13:28  glen
- v0.2: update to udev with /usr/lib; now noarch

Revision 1.11  2008/02/03 13:40:54  arekm
R: udev-core

Revision 1.10  2007-11-16 11:17:57  arvenil
- release 1

Revision 1.9  2007-11-05 14:09:20  patrys
- correctly save mixer at shutdown (courtesy of qwiat)

Revision 1.8  2007/10/29 21:40:11  arvenil
- properly fix for lib path (thanks to qboosh)

Revision 1.7  2007/10/29 13:50:46  arvenil
- fixed bad lib path

Revision 1.6  2007/10/29 13:46:33  arvenil
- script moved from /etc/udev/scripts to %{_lib}/udev
  (thanks to Przemysław Białek <lobo@chello.pl>)
- s#alsa_udev#alsa-udev#g
- adapter
- rel 0.2

Revision 1.5  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.3  2007/01/16 21:40:29  glen
- fix duplicate %descriptions

Revision 1.2  2005/12/27 17:38:48  qboosh
- cosmetics

Revision 1.1  2005/12/21 20:25:46  patrys
- initial PLD release (by lobo at chello pl)
